curl --request DELETE \
--url https://hpay-api.host-sl.com/api/v1/users/user_abc123/ \
--header 'api-key: YOUR_API_KEY' \
--header 'secret-key: YOUR_SECRET_KEY'
from hostpay import HostPay
client = HostPay(api_key="YOUR_API_KEY", secret_key="YOUR_SECRET_KEY")
result = client.users.delete("user_abc123")
print(result["message"])
import { HostPay } from "@hostpay/sdk";
const client = new HostPay({ apiKey: "YOUR_API_KEY", secretKey: "YOUR_SECRET_KEY" });
const result = await client.users.delete("user_abc123");
console.log(result.message);
{
"message": "User deleted successfully"
}
{
"detail": "User not found"
}
Users
Delete User
Permanently delete a user from your application
DELETE
/
api
/
v1
/
users
/
{user_id}
/
curl --request DELETE \
--url https://hpay-api.host-sl.com/api/v1/users/user_abc123/ \
--header 'api-key: YOUR_API_KEY' \
--header 'secret-key: YOUR_SECRET_KEY'
from hostpay import HostPay
client = HostPay(api_key="YOUR_API_KEY", secret_key="YOUR_SECRET_KEY")
result = client.users.delete("user_abc123")
print(result["message"])
import { HostPay } from "@hostpay/sdk";
const client = new HostPay({ apiKey: "YOUR_API_KEY", secretKey: "YOUR_SECRET_KEY" });
const result = await client.users.delete("user_abc123");
console.log(result.message);
{
"message": "User deleted successfully"
}
{
"detail": "User not found"
}
Endpoint
DELETE /api/v1/users/{user_id}/
Path Parameters
string
required
The unique identifier of the user to delete
Headers
string
required
Your application API key
string
required
Your application secret key
Response
string
Success message confirming the deletion
curl --request DELETE \
--url https://hpay-api.host-sl.com/api/v1/users/user_abc123/ \
--header 'api-key: YOUR_API_KEY' \
--header 'secret-key: YOUR_SECRET_KEY'
from hostpay import HostPay
client = HostPay(api_key="YOUR_API_KEY", secret_key="YOUR_SECRET_KEY")
result = client.users.delete("user_abc123")
print(result["message"])
import { HostPay } from "@hostpay/sdk";
const client = new HostPay({ apiKey: "YOUR_API_KEY", secretKey: "YOUR_SECRET_KEY" });
const result = await client.users.delete("user_abc123");
console.log(result.message);
{
"message": "User deleted successfully"
}
{
"detail": "User not found"
}
Deletion is permanent and cannot be undone. All user data and associated history
will be purged. If you only want to temporarily prevent user access, consider
using the Disable User endpoint instead.